<?php

class clients {
	
	public function __construct(){
		global $err;
		
		$act=preg_replace('/[^a-z_]/','',$_GET['act']);
		if($act){
			call_user_func(array(&$this,$act));
		} 
	}
	
	
	public function save(){
		global $DB;
		
		$client_id=intval($_GET[client_id]);
		if($_POST['email']!='E-mail')$obj["email"]=$_POST['email'];
		if($_POST['mobile_phone']!='+7 928XXXXXXX') $obj["mobile_phone"]=$_POST['mobile_phone'];
		if($_POST['home_phone']!='+7 495 XXXXXXX') $obj["home_phone"]=$_POST['home_phone'];
		if($_POST['full_name']!="ФИО") $obj["full_name"]=$_POST['full_name'];
		if($_POST['adress']!="Адрес") $obj["adress"]=$_POST['adress'];
		
		if($client_id==0){
			if(!$obj["full_name"]||$obj["full_name"]=="ФИО") error("Введите ФИО пользователя!");
			$obj["login"]=preg_replace("/[^a-zA-Z0-9_]/",'',$_POST['login']);
			if(!$obj["login"]||$obj["login"]!=$_POST["login"]) error("Введите Логин в формате [a-zA-Z0-9_]!");
			$have= $DB->selectCell("SELECT id FROM clients WHERE login=?",$obj["login"]);
			if($have!=0) error("Пользователь с таким логином уже существует!");
			
			$DB->query("INSERT INTO clients set ?a",$obj);
		} else {
			$DB->query("UPDATE clients set ?a WHERE id=?d",$obj,$client_id);
		}
		
		success();
	}

}
?>